Package org.kie.internal.conf

## Enum IndexLeftBetaMemoryOption

- java.lang.Object
- - java.lang.Enum<IndexLeftBetaMemoryOption>
  - - org.kie.internal.conf.IndexLeftBetaMemoryOption

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IndexLeftBetaMemoryOption>`, `org.kie.api.conf.KieBaseOption`, `org.kie.api.conf.Option`, `org.kie.api.conf.SingleValueKieBaseOption`, `org.kie.api.conf.SingleValueOption`, `org.kie.api.conf.SingleValueRuleBaseOption`

      public enum IndexLeftBetaMemoryOption
      extends java.lang.Enum<IndexLeftBetaMemoryOption>
      implements org.kie.api.conf.SingleValueRuleBaseOption

  An Enum for indexLeftBetaMemory option. drools.indexLeftBetaMemory = <true|false> DEFAULT = true

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NO` |
    `YES` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.kie.api.conf.OptionKey<IndexLeftBetaMemoryOption>` | `KEY` |
    `static java.lang.String` | `PROPERTY_NAME` | The property name for the share beta nodes option

    - ### Fields inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPropertyName()`
    `boolean` | `isIndexLeftBetaMemory()` |
    `static IndexLeftBetaMemoryOption` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IndexLeftBetaMemoryOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

    - ### Methods inherited from interface org.kie.api.conf.SingleValueRuleBaseOption

      `type`

- - ### Enum Constant Detail

    - #### YES

          public static final IndexLeftBetaMemoryOption YES

    - #### NO

          public static final IndexLeftBetaMemoryOption NO

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      The property name for the share beta nodes option
      See Also:
        Constant Field Values

    - #### KEY

          public static org.kie.api.conf.OptionKey<IndexLeftBetaMemoryOption> KEY

  - ### Method Detail

    - #### values

          public static IndexLeftBetaMemoryOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IndexLeftBetaMemoryOption c : IndexLeftBetaMemoryOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IndexLeftBetaMemoryOption valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### isIndexLeftBetaMemory

          public boolean isIndexLeftBetaMemory()